## mmix-src 19991019-4

=== Makefile ===
#
#   Makefile for MMIXware
#

#   Be sure that CWEB version 3.0 or greater is installed before proceeding!

#   If you prefer optimization to debugging, change -g to something like -O:
CFLAGS = -g

.SUFFIXES: .dvi .tex .w .ps

.tex.dvi:
	tex $*.tex

.dvi.ps:
	dvips $* -o $*.ps

.w.c:
	if test -r $*.ch; then ctangle $*.w $*.ch; else ctangle $*.w; fi

.w.tex:
	if test -r $*.ch; then cweave $*.w $*.ch; else cweave $*.w; fi

.w.o:
	make $*.c
	make $*.o

.w:
	make $*.c
	make $*

.w.dvi:
	make $*.tex
	make $*.dvi

.w.ps:
	make $*.dvi
	make $*.ps

WEBFILES = abstime.w boilerplate.w mmix-arith.w mmix-config.w mmix-doc.w \
	mmix-io.w mmix-mem.w mmix-pipe.w mmix-sim.w mmixal.w mmmix.w mmotype.w
CHANGEFILES =
TESTFILES = *.mms silly.run silly.out *.mmconfig *.mmix
MISCFILES = Makefile makefile.dos README mmix.mp mmix.1
ALL = $(WEBFILES) $(TESTFILES) $(MISCFILES)

basic:  mmixal mmix

doc:    mmix-doc.ps mmixal.ps mmix-sim.ps

all:    mmixal mmix mmotype mmmix

clean:
	rm -f *~ *.o *.c *.h *.tex *.log *.dvi *.toc *.idx *.scn *.ps core

mmix-pipe.o: mmix-pipe.c abstime
	./abstime > abstime.h
	$(CC) $(CFLAGS) -c mmix-pipe.c
	rm abstime.h

mmix-config.o: mmix-pipe.o

mmmix:  mmix-arith.o mmix-pipe.o mmix-config.o mmix-mem.o mmix-io.o mmmix.c
	$(CC) $(CFLAGS) mmmix.c \
	  mmix-arith.o mmix-pipe.o mmix-config.o mmix-mem.o mmix-io.o -o mmmix

mmixal: mmix-arith.o mmixal.c
	$(CC) $(CFLAGS) mmixal.c mmix-arith.o -o mmixal

mmix:   mmix-arith.o mmix-io.o mmix-sim.c abstime
	./abstime > abstime.h
	$(CC) $(CFLAGS) mmix-sim.c mmix-arith.o mmix-io.o -o mmix
	rm abstime.h

tarfile: $(ALL)
	tar cvf /tmp/mmix.tar $(ALL)
	gzip -9 /tmp/mmix.tar

=== debian/changelog ===
mmix-src (19991019-4) frozen unstable; urgency=low

  * Released to frozen and unstable.

 -- Mike Goldman <whig@by.net>  Tue,  8 Feb 2000 21:04:43 -0500

mmix-src (19991019-3) frozen; urgency=low

  * Added version to cweb in recommends line (closes: #57122)

 -- Mike Goldman <whig@by.net>  Sat,  5 Feb 2000 17:35:34 -0500

mmix-src (19991019-2) unstable; urgency=low

  * Changed architecture to all instead of any (closes: #53634).

 -- Mike Goldman <whig@by.net>  Thu, 30 Dec 1999 08:21:33 -0500

mmix-src (19991019-1) unstable; urgency=low

  * Initial Release.

 -- Mike Goldman <whig@by.net>  Fri, 17 Dec 1999 09:46:39 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: mmix-src
Section: non-free/devel
Priority: optional
Maintainer: Mike Goldman <whig@by.net>
Standards-Version: 3.0.1

Package: mmix-src
Architecture: all
Recommends: devscripts, make, cweb (>= 3.43), tetex-bin
Description: Assembler and Simulator for Knuth's MMIX
 MMIX is the new computer and associated assembly language that Donald
 Knuth will be using to specify the algorithms in the next edition of his
 series, The Art of Computer Programming.  Currently three volumes have
 been published, and more are in preparation.  Knuth will use MMIX as the
 low-level programming language in the "ultimate" edition of his opus.
 .
 Due to license considerations, this package will only extract the source
 code for MMIX onto your system.  After installation, you will have to build
 mmix and separately install it.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	cp -pv mmix* debian/tmp/usr/src/mmix

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
